Bug 149309 - Button "Send As-Is" does not react
Summary: Button "Send As-Is" does not react
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: composer (show other bugs)
Version: 1.9.7
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-28 21:34 UTC by Ronny Standtke
Modified: 2008-11-30 16:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ronny Standtke 2007-08-28 21:34:33 UTC
Version:           1.9.5 (using KDE 3.5.7, Debian Package 4:3.5.7.dfsg.1-4 (lenny/sid))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.21-2-686

1) Create a contact with the setting "Crypto Settings -> Message Preference -> Encrypt -> Ask"
2) Start a new message
3) Insert the email address of the contact created in (1) into the "To" field and specify a subject
4) Insert the ellipsis character "…" into the message body
5) Set Options -> Set Encoding -> Western European (iso-8859-1)
6) Send mail
7) In the "Some characters will be lost" dialog select "Change encoding"
8) In the "Encrypt Message?" dialog select "Send As-Is"
9) Notice that nothing happens. This is the ugly bug.
Comment 1 Thomas McGuire 2007-08-30 18:56:43 UTC
Confirmed. The opposite case (bug 145163) does not seem to work as well.
Comment 2 Thomas McGuire 2008-11-19 00:00:36 UTC
SVN commit 886302 by tmcguire:

Finally make the questionbox that asks you whether to lose chars or to change encoding
work correctly.

BUG: 149309 
BUG: 145163.


 M  +17 -0     kmcomposereditor.cpp  
 M  +6 -0      kmcomposereditor.h  
 M  +73 -32    messagecomposer.cpp  
 M  +24 -1     messagecomposer.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=886302
Comment 3 Thomas McGuire 2008-11-30 16:42:15 UTC
SVN commit 890881 by tmcguire:

Backport r886302 by tmcguire from trunk to the 4.1 branch:

Finally make the questionbox that asks you whether to lose chars or to change encoding
work correctly.

CCBUG: 149309 
CCBUG: 145163.



 M  +17 -0     kmcomposereditor.cpp  
 M  +6 -0      kmcomposereditor.h  
 M  +73 -32    messagecomposer.cpp  
 M  +24 -1     messagecomposer.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=890881